Package net.sf.saxon.functions.hof

## Class LoadXqueryModule

- java.lang.Object
- - net.sf.saxon.functions.AbstractFunction
  - - net.sf.saxon.functions.SystemFunction
    - - net.sf.saxon.functions.hof.LoadXqueryModule

- All Implemented Interfaces:
    `Callable`, `Function`, `GroundedValue`, `Item`, `Sequence`

      public class LoadXqueryModule
      extends SystemFunction
      implements Callable

  This class implements the function load-xquery-module(), which is a standard function in XPath 3.1. It is classified as a higher-order function and therefore requires Saxon-PE or higher.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LoadXqueryModule()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `MapItem` | `call​(XPathContext context, Sequence[] args)` | Invoke the function
    `XPathContext` | `makeNewContext​(XPathContext callingContext, ContextOriginator originator)` | Prepare an XPathContext object for evaluating the function
    `static OptionsParameter` | `makeOptionsParameter()` |

    - ### Methods inherited from class net.sf.saxon.functions.SystemFunction

      `dependsOnContextItem, dynamicCall, equals, export, exportAdditionalArguments, exportAttributes, fixArguments, getArity, getCardinality, getCompilerName, getContextNode, getDescription, getDetails, getErrorCodeForTypeErrors, getFunctionItemType, getFunctionName, getIntegerBounds, getNetCost, getOperandRoles, getRequiredType, getResultItemType, getResultItemType, getRetainedStaticContext, getSpecialProperties, getStaticBaseUriString, getStreamerName, importAttributes, isTrustedResultType, makeCall, makeFunction, makeFunctionCall, makeOptimizedFunctionCall, resultIfEmpty, setArity, setDetails, setRetainedStaticContext, supplyTypeInformation, toShortString, toString, typeCheckCaller`

    - ### Methods inherited from class net.sf.saxon.functions.AbstractFunction

      `atomize, deepEquals, effectiveBooleanValue, getAnnotations, getStringValue, getStringValueCS, isArray, isMap, simplify, typeCheck`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface net.sf.saxon.om.Function

      `getGenre`

    - ### Methods inherited from interface net.sf.saxon.om.GroundedValue

      `asIterable, concatenate, containsNode, materialize`

    - ### Methods inherited from interface net.sf.saxon.om.Item

      `getLength, head, isStreamed, itemAt, iterate, reduce, subsequence`

    - ### Methods inherited from interface net.sf.saxon.om.Sequence

      `makeRepeatable`

- - ### Constructor Detail

    - #### LoadXqueryModule

          public LoadXqueryModule()

  - ### Method Detail

    - #### makeOptionsParameter

          public static OptionsParameter makeOptionsParameter()

    - #### makeNewContext

          public XPathContext makeNewContext​(XPathContext callingContext,
                                             ContextOriginator originator)

      Prepare an XPathContext object for evaluating the function
      Specified by:
        `makeNewContext` in interface `Function`
      Overrides:
        `makeNewContext` in class `AbstractFunction`
      Parameters:
        `callingContext` - the XPathContext of the function calling expression
        `originator` -
      Returns:
        a suitable context for evaluating the function (which may or may not be the same as the caller's context)

    - #### call

          public MapItem call​(XPathContext context,
                              Sequence[] args)
                       throws XPathException

      Invoke the function
      Specified by:
        `call` in interface `Callable`
      Specified by:
        `call` in interface `Function`
      Parameters:
        `context` - the XPath dynamic evaluation context
        `args` - the actual arguments to be supplied
      Returns:
        the result of invoking the function
      Throws:
        `XPathException` - if a dynamic error occurs within the function